Subject: Re: improve msg_control kernel vs user pointer handling

From: David Miller <[email-masked]>
Date: Mon, 11 May 2020 17:00:03 -0700 (PDT)

From: Christoph Hellwig <[email-masked]>
Date: Mon, 11 May 2020 13:59:10 +0200

> this series replace the msg_control in the kernel msghdr structure
> with an anonymous union and separate fields for kernel vs user
> pointers.  In addition to helping a bit with type safety and reducing
> sparse warnings, this also allows to remove the set_fs() in
> kernel_recvmsg, helping with an eventual entire removal of set_fs().

Looks good.  Things actually used to be a lot worse in the original
compat code but Al Viro cleaned it up into the state it is in right
now.

Series applied to net-next, thanks!